
import React, { useMemo } from 'react'
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components'
import { classNames } from './utils';
import './style.less'

export default (props) => {
  const { className, item, top, render, onRenderFinish } = props

  // const uqClass = useMemo(() => `f-${Math.random().toString(36).substring(2)}`, [])
  const vid = item.__vid;
  
  const handleCallback = () => {
    Taro.createSelectorQuery().select(`.${vid}`).boundingClientRect(rect => onRenderFinish(rect)).exec()
  }

  return (
    <View className={classNames(className, 'masonry-item', vid)}>
      {render(item, handleCallback)}
    </View>
  )
}
